package com.fs.ad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.AdDyApi;

/**
 * 抖音投流API信息Mapper接口
 * 
 * @author 吴树波
 * @date 2025-05-27
 */
public interface AdDyApiMapper extends BaseMapper<AdDyApi>{
    /**
     * 查询抖音投流API信息
     * 
     * @param id 抖音投流API信息主键
     * @return 抖音投流API信息
     */
    AdDyApi selectAdDyApiById(Long id);

    /**
     * 查询抖音投流API信息列表
     * 
     * @param adDyApi 抖音投流API信息
     * @return 抖音投流API信息集合
     */
    List<AdDyApi> selectAdDyApiList(AdDyApi adDyApi);

    /**
     * 新增抖音投流API信息
     * 
     * @param adDyApi 抖音投流API信息
     * @return 结果
     */
    int insertAdDyApi(AdDyApi adDyApi);

    /**
     * 修改抖音投流API信息
     * 
     * @param adDyApi 抖音投流API信息
     * @return 结果
     */
    int updateAdDyApi(AdDyApi adDyApi);

    /**
     * 删除抖音投流API信息
     * 
     * @param id 抖音投流API信息主键
     * @return 结果
     */
    int deleteAdDyApiById(Long id);

    /**
     * 批量删除抖音投流API信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAdDyApiByIds(Long[] ids);
}
